<template>
  <div>
    <div :class="$style.wrapper">
      <ul :class="$style.months_list">
        <li v-for="(month, index) in months" :key="index">
          {{ month }}
        </li>
      </ul>
    </div>
  </div>
</template>

<style module>
.months_list:before {
  content: '';
  width: 77%;
  height: 100%;
  position: absolute;
  left: 12%;
  top: 0;
  background: linear-gradient(
      90deg,
      white 0%,
      rgba(255,255,255,0.29) 10%,
      transparent 50%,
      rgba(255,255,255,0.29) 90%,
      white 100%
  );
}
.months_list {
  width: 140%;
  position: relative;
  left: -20%;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: space-around;
}
.months_list li {
  list-style-type: none;
  color: #cbcbcb;
  padding: 10px 0;
  font-size: 0.8rem;
}
.months_list li:nth-child(3) {
  color: black;
}
</style>

<script>
import moment from "moment";

export default {
  props: {
    date: moment.Moment,
  },
  computed: {
    months() {
      return [
        this.ucFirst(this.date.clone().subtract(2, 'months').format('MMMM Y')),
        this.ucFirst(this.date.clone().subtract(1, 'month').format('MMMM Y')),
        this.ucFirst(this.date.format('MMMM Y')),
        this.ucFirst(this.date.clone().add(1, 'month').format('MMMM Y')),
        this.ucFirst(this.date.clone().add(2, 'months').format('MMMM Y')),
      ];
    },
    formattedDate() {
      const month = this.date.format('MMMM Y');
      return this.ucFirst(month);
    },
    monthsAround() {
      const prevMonth = this.date.subtract(1, 'month').format('MMMM Y');
      const nextMonth = this.date.add(1, 'month').format('MMMM Y');
      console.log(prevMonth, nextMonth)
    },
  },
  methods: {
    ucFirst(str) {
      return str[0].toUpperCase() + str.slice(1);
    },
  },
}
</script>